package com.xtd.common.utils.http;

import com.hikvision.artemis.sdk.ArtemisHttpUtil;

import java.util.HashMap;
import java.util.Map;

public class HKHttpUtil {

    public static String post(String url,String body,Map<String, String> querys,String accept,String contentType){
        //路径
        Map<String,String> path = new HashMap<String, String>(2){
            {
                put("https://",url);
            }
        };
        //设置参数提交方式
        if (contentType == null){//默认
            contentType = "application/json";
        }

        //调用接口
        String result = ArtemisHttpUtil.doPostStringArtemis(path,body,querys,accept,contentType);
        return result;
    }

}
